Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.protocol.fgftp
Class FgftpURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--sun.net.www.URLConnection
                  |
                  +--com.macromedia.generator.protocol.fgftp.FgftpURLConnection

public class FgftpURLConnection
extends sun.net.www.URLConnection

Field Summary
`(package private) sun.net.ftp.FtpClient` | `_fld0171`
`(package private) java.io.InputStream` | `is`

Fields inherited from class sun.net.www.URLConnection
`properties`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, factory, ifModifiedSince, url, useCaches`

Constructor Summary
`FgftpURLConnection(java.net.URL url)`

Method Summary
`(package private) java.lang.String` | `_mth0173(java.lang.String s)`
`void` | `connect()`
`java.io.InputStream` | `getInputStream()`

Methods inherited from class sun.net.www.URLConnection
`canCache, close, getContentLength, getContentType, getHeaderField, getHeaderField, getHeaderFieldKey, getProperties, setContentLength, setContentType, setProperties, setRequestProperty`

Methods inherited from class java.net.URLConnection
`, getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentHandler, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderFieldDate, getHeaderFieldInt, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### is

    java.io.InputStream is

### _fld0171

    sun.net.ftp.FtpClient _fld0171

Constructor Detail

### FgftpURLConnection

    public FgftpURLConnection(java.net.URL url)

Method Detail

### connect

    public void connect()
                 throws java.io.IOException

  Overrides:
    `connect` in class `java.net.URLConnection`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.URLConnection`

### _mth0173

    java.lang.String _mth0173(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD